FailedOk

th/SRPMS[OK]
th/x32[OK]
th/i686[OK]
th/x86_64[OK]

ac/SRPMS[OK]
ac/i386[OK]
ac/i586[OK]
ac/i686[OK]
ac/alpha[OK]
ac/amd64[OK]
ac/athlon[OK]
ac/ppc[OK]
ac/sparc[OK]
ac/sparc64[OK]

Advanced Search
main()
Powered by PLD Linux
(c) 2002-2022 PLD Team
$Revision: 1.37 $
Powered by /dev/zero.
Your IP: 44.197.108.169

python3-keyring b140fca9-2201-483c-b296-93ebd198d37f

Status:Failed
Source URL:https://buildlogs.pld-linux.org/pld/th/i686/FAIL/python3-keyring,b140fca9-2201-483c-b296-93ebd198d37f.bz2
text/plain URL:View!
full text:View!
rpm -qa of builder:View!
Date:2022/11/03 18:12:55
Runtime:0:00:06.012287

Toc:

  • error 1
  • E gi.repository.GLib.GError: g-io-error-quark: Cannot autolaunch D-Bus without X11 $DISPLAY (0)
  • error 2
  • except GLib.Error as error:
  • error 3
  • E gi.repository.GLib.GError: g-io-error-quark: Cannot autolaunch D-Bus without X11 $DISPLAY (0)
  • error 4
  • except GLib.Error as error:
  • error 5
  • E gi.repository.GLib.GError: g-io-error-quark: Cannot autolaunch D-Bus without X11 $DISPLAY (0)
  • error 6
  • except GLib.Error as error:
  • error 7
  • E gi.repository.GLib.GError: g-io-error-quark: Cannot autolaunch D-Bus without X11 $DISPLAY (0)
  • error 8
  • except GLib.Error as error:
  • error 9
  • E gi.repository.GLib.GError: g-io-error-quark: Cannot autolaunch D-Bus without X11 $DISPLAY (0)
  • error 10
  • except GLib.Error as error:
  • error 11
  • E gi.repository.GLib.GError: g-io-error-quark: Cannot autolaunch D-Bus without X11 $DISPLAY (0)
  • error 12
  • except GLib.Error as error:
  • error 13
  • E gi.repository.GLib.GError: g-io-error-quark: Cannot autolaunch D-Bus without X11 $DISPLAY (0)
  • error 14
  • except GLib.Error as error:
  • error 15
  • E gi.repository.GLib.GError: g-io-error-quark: Cannot autolaunch D-Bus without X11 $DISPLAY (0)
  • error 16
  • except GLib.Error as error:
  • error 17
  • E gi.repository.GLib.GError: g-io-error-quark: Cannot autolaunch D-Bus without X11 $DISPLAY (0)
  • error 18
  • except GLib.Error as error:
  • error 19
  • error: Bad exit status from /tmp/B.t4lmdqm2/BUILD/tmp/rpm-tmp.3Lt8Am (%build)
  • error 20
  • RPM build errors:
  • error 21
  • error: No files produced.

Content:

copying keyring/http.py -> build-3/lib/keyring
creating build-3/lib/keyring/backends
copying keyring/backends/OS_X.py -> build-3/lib/keyring/backends
copying keyring/backends/SecretService.py -> build-3/lib/keyring/backends
copying keyring/backends/Windows.py -> build-3/lib/keyring/backends
copying keyring/backends/__init__.py -> build-3/lib/keyring/backends
copying keyring/backends/chainer.py -> build-3/lib/keyring/backends
copying keyring/backends/fail.py -> build-3/lib/keyring/backends
copying keyring/backends/kwallet.py -> build-3/lib/keyring/backends
copying keyring/backends/libsecret.py -> build-3/lib/keyring/backends
copying keyring/backends/null.py -> build-3/lib/keyring/backends
creating build-3/lib/keyring/testing
copying keyring/testing/__init__.py -> build-3/lib/keyring/testing
copying keyring/testing/backend.py -> build-3/lib/keyring/testing
copying keyring/testing/util.py -> build-3/lib/keyring/testing
creating build-3/lib/keyring/util
copying keyring/util/__init__.py -> build-3/lib/keyring/util
copying keyring/util/platform_.py -> build-3/lib/keyring/util
copying keyring/util/properties.py -> build-3/lib/keyring/util
creating build-3/lib/keyring/backends/macOS
copying keyring/backends/macOS/__init__.py -> build-3/lib/keyring/backends/macOS
copying keyring/backends/macOS/api.py -> build-3/lib/keyring/backends/macOS
running egg_info
writing keyring.egg-info/PKG-INFO
writing dependency_links to keyring.egg-info/dependency_links.txt
writing entry points to keyring.egg-info/entry_points.txt
writing requirements to keyring.egg-info/requires.txt
writing top-level names to keyring.egg-info/top_level.txt
reading manifest file 'keyring.egg-info/SOURCES.txt'
adding license file 'LICENSE'
writing manifest file 'keyring.egg-info/SOURCES.txt'
copying keyring/py.typed -> build-3/lib/keyring
running build_sphinx
Running Sphinx v4.5.0
making output directory... done
loading intersphinx inventory from https://docs.python.org/3/objects.inv...
WARNING: failed to reach any of the inventories with the following issues:
intersphinx inventory 'https://docs.python.org/3/objects.inv' not fetchable due to <class 'requests.exceptions.ConnectionError'>: HTTPSConnectionPool(host='docs.python.org', port=443): Max retries exceeded with url: /3/objects.inv (Caused by NewConnectionError('<urllib3.connection.HTTPSConnection object at 0xf5061d48>: Failed to establish a new connection: [Errno -3] Temporary failure in name resolution'))
building [mo]: targets for 0 po files that are out of date
building [html]: targets for 2 source files that are out of date
updating environment: [new config] 2 added, 0 changed, 0 removed
reading sources... [ 50%] history
reading sources... [100%] index

looking for now-outdated files... none found
pickling environment... done
checking consistency... done
preparing documents... done
writing output... [ 50%] history
/usr/share/python3.10/site-packages/sphinx/builders/html/__init__.py:619: FutureWarning: The configuration setting "embed_images" will be removed in Docutils 1.2. Use "image_loading: link".
  self.docwriter.write(doctree, destination)
writing output... [100%] index

/tmp/B.t4lmdqm2/BUILD/keyring-23.5.0/keyring/backend.py:docstring of keyring.backend.KeyringBackendMeta:1: WARNING: py:class reference target not found: abc.ABCMeta
generating indices... genindex py-modindex done
writing additional pages... search done
copying static files... done
copying extra files... done
dumping search index in English (code: en)... done
dumping object inventory... done
build succeeded, 2 warnings.

The HTML pages are in build-3/sphinx/html.
+ PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 PYTEST_PLUGINS=pytest_flake8 pwd
+ PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 PYTEST_PLUGINS=pytest_flake8 PYTHONPATH=/tmp/B.t4lmdqm2/BUILD/keyring-23.5.0/build-3/lib /usr/bin/python3 -m pytest tests
============================= test session starts ==============================
platform linux -- Python 3.10.8, pytest-6.2.5, py-1.11.0, pluggy-1.0.0
rootdir: /tmp/B.t4lmdqm2/BUILD/keyring-23.5.0, configfile: pytest.ini
collected 82 items

tests/test_core.py .                                                     [  1%]
tests/test_errors.py .                                                   [  2%]
tests/test_integration.py ...                                            [  6%]
tests/test_multiprocess.py xx                                            [  8%]
tests/test_packaging.py ..                                               [ 10%]
tests/backends/test_SecretService.py sssssssssss.                        [ 25%]
tests/backends/test_Windows.py ssssssssssssss                            [ 42%]
tests/backends/test_chainer.py ..                                        [ 45%]
tests/backends/test_kwallet.py ssssssssssssssssssssss                    [ 71%]
tests/backends/test_libsecret.py FFFFF.FFFF..                            [ 86%]
tests/backends/test_macOS.py sssssssssss                                 [100%]

=================================== FAILURES ===================================
__________________ TestLibSecretKeyring.test_password_set_get __________________

self = <keyring.backends.libsecret.Keyring object at 0xf6696d60>
service = '4UHR4dzgzqgsb5ClO13T', username = 's7QpSipRLkkBLvmplESf'

    def get_password(self, service, username):
        """Get password of the username for the service"""
        attributes = {
            "application": self.appid,
            "service": service,
            "username": username,
        }
        try:
>           items = Secret.password_search_sync(
                self.schema, attributes, Secret.SearchFlags.UNLOCK, None
            )
E           gi.repository.GLib.GError: g-io-error-quark: Cannot autolaunch D-Bus without X11 $DISPLAY (0)

keyring/backends/libsecret.py:62: Error

The above exception was the direct cause of the following exception:

self = <test_libsecret.TestLibSecretKeyring object at 0xf66961d8>

    def test_password_set_get(self):
        password = random_string(20)
        username = random_string(20)
        service = random_string(20)
>       self.check_set_get(service, username, password)

keyring/testing/backend.py:72: 
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
keyring/testing/backend.py:58: in check_set_get
    assert keyring.get_password(service, username) is None
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 

self = <keyring.backends.libsecret.Keyring object at 0xf6696d60>
service = '4UHR4dzgzqgsb5ClO13T', username = 's7QpSipRLkkBLvmplESf'

    def get_password(self, service, username):
        """Get password of the username for the service"""
        attributes = {
            "application": self.appid,
            "service": service,
            "username": username,
        }
        try:
            items = Secret.password_search_sync(
                self.schema, attributes, Secret.SearchFlags.UNLOCK, None
            )
        except GLib.Error as error:
            quark = GLib.quark_try_string('g-io-error-quark')
            if error.matches(quark, Gio.IOErrorEnum.FAILED):
>               raise KeyringLocked('Failed to unlock the item!') from error
E               keyring.errors.KeyringLocked: Failed to unlock the item!

keyring/backends/libsecret.py:68: KeyringLocked
---------------------------- Captured stdout setup -----------------------------
Testing LibSecretKeyring; the following password prompts are for this keyring
__________________ TestLibSecretKeyring.test_difficult_chars ___________________

self = <keyring.backends.libsecret.Keyring object at 0xf672d8b0>
service = '%}."|&\r"~$+/~=_#.\x0c=-', username = '_|#^:?]+\n%}~[]\x0b]/\r_ '

    def get_password(self, service, username):
        """Get password of the username for the service"""
        attributes = {
            "application": self.appid,
            "service": service,
            "username": username,
        }
        try:
>           items = Secret.password_search_sync(
                self.schema, attributes, Secret.SearchFlags.UNLOCK, None
            )
E           gi.repository.GLib.GError: g-io-error-quark: Cannot autolaunch D-Bus without X11 $DISPLAY (0)

keyring/backends/libsecret.py:62: Error

The above exception was the direct cause of the following exception:

self = <test_libsecret.TestLibSecretKeyring object at 0xf66ac9d0>

    def test_difficult_chars(self):
        password = random_string(20, self.DIFFICULT_CHARS)
        username = random_string(20, self.DIFFICULT_CHARS)
        service = random_string(20, self.DIFFICULT_CHARS)
>       self.check_set_get(service, username, password)

keyring/testing/backend.py:78: 
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
keyring/testing/backend.py:58: in check_set_get
    assert keyring.get_password(service, username) is None
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 

self = <keyring.backends.libsecret.Keyring object at 0xf672d8b0>
service = '%}."|&\r"~$+/~=_#.\x0c=-', username = '_|#^:?]+\n%}~[]\x0b]/\r_ '

    def get_password(self, service, username):
        """Get password of the username for the service"""
        attributes = {
            "application": self.appid,
            "service": service,
            "username": username,
        }
        try:
            items = Secret.password_search_sync(
                self.schema, attributes, Secret.SearchFlags.UNLOCK, None
            )
        except GLib.Error as error:
            quark = GLib.quark_try_string('g-io-error-quark')
            if error.matches(quark, Gio.IOErrorEnum.FAILED):
>               raise KeyringLocked('Failed to unlock the item!') from error
E               keyring.errors.KeyringLocked: Failed to unlock the item!

keyring/backends/libsecret.py:68: KeyringLocked
---------------------------- Captured stdout setup -----------------------------
Testing LibSecretKeyring; the following password prompts are for this keyring
___________________ TestLibSecretKeyring.test_delete_present ___________________

self = <keyring.backends.libsecret.Keyring object at 0xf6f5b1c0>
service = '\x0b!(\x0b+\\*(\t\n\t =\r*&[?/?'
username = "&@*\x0b.&>^'-*-\x0b;/:;} ^", password = '_;#()"<(\x0b)![)>;=<.\t\r'

    def set_password(self, service, username, password):
        """Set password for the username of the service"""
        attributes = {
            "application": self.appid,
            "service": service,
            "username": username,
        }
        label = "Password for '{}' on '{}'".format(username, service)
        try:
>           stored = Secret.password_store_sync(
                self.schema, attributes, self.collection, label, password, None
            )
E           gi.repository.GLib.GError: g-io-error-quark: Cannot autolaunch D-Bus without X11 $DISPLAY (0)

keyring/backends/libsecret.py:88: Error

The above exception was the direct cause of the following exception:

self = <test_libsecret.TestLibSecretKeyring object at 0xf6f5b310>

    def test_delete_present(self):
        password = random_string(20, self.DIFFICULT_CHARS)
        username = random_string(20, self.DIFFICULT_CHARS)
        service = random_string(20, self.DIFFICULT_CHARS)
>       self.keyring.set_password(service, username, password)

keyring/testing/backend.py:84: 
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 

self = <keyring.backends.libsecret.Keyring object at 0xf6f5b1c0>
service = '\x0b!(\x0b+\\*(\t\n\t =\r*&[?/?'
username = "&@*\x0b.&>^'-*-\x0b;/:;} ^", password = '_;#()"<(\x0b)![)>;=<.\t\r'

    def set_password(self, service, username, password):
        """Set password for the username of the service"""
        attributes = {
            "application": self.appid,
            "service": service,
            "username": username,
        }
        label = "Password for '{}' on '{}'".format(username, service)
        try:
            stored = Secret.password_store_sync(
                self.schema, attributes, self.collection, label, password, None
            )
        except GLib.Error as error:
            quark = GLib.quark_try_string('secret-error')
            if error.matches(quark, Secret.Error.IS_LOCKED):
                raise KeyringLocked("Failed to unlock the collection!") from error
            quark = GLib.quark_try_string('g-io-error-quark')
            if error.matches(quark, Gio.IOErrorEnum.FAILED):
>               raise KeyringLocked("Failed to unlock the collection!") from error
E               keyring.errors.KeyringLocked: Failed to unlock the collection!

keyring/backends/libsecret.py:97: KeyringLocked
---------------------------- Captured stdout setup -----------------------------
Testing LibSecretKeyring; the following password prompts are for this keyring
_________________ TestLibSecretKeyring.test_delete_not_present _________________

self = <keyring.backends.libsecret.Keyring object at 0xf668f730>
service = '."-.-_ .\t%]"! &}?,"\r', username = '/"%^ $\x0b)$\r,=  \r>[( \x0b'

    def delete_password(self, service, username):
        """Delete the stored password (only the first one)"""
        attributes = {
            "application": self.appid,
            "service": service,
            "username": username,
        }
        try:
>           items = Secret.password_search_sync(
                self.schema, attributes, Secret.SearchFlags.UNLOCK, None
            )
E           gi.repository.GLib.GError: g-io-error-quark: Cannot autolaunch D-Bus without X11 $DISPLAY (0)

keyring/backends/libsecret.py:110: Error

The above exception was the direct cause of the following exception:

self = <test_libsecret.TestLibSecretKeyring object at 0xf74c11a8>

    def test_delete_not_present(self):
        username = random_string(20, self.DIFFICULT_CHARS)
        service = random_string(20, self.DIFFICULT_CHARS)
        with pytest.raises(errors.PasswordDeleteError):
>           self.keyring.delete_password(service, username)

keyring/testing/backend.py:92: 
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 

self = <keyring.backends.libsecret.Keyring object at 0xf668f730>
service = '."-.-_ .\t%]"! &}?,"\r', username = '/"%^ $\x0b)$\r,=  \r>[( \x0b'

    def delete_password(self, service, username):
        """Delete the stored password (only the first one)"""
        attributes = {
            "application": self.appid,
            "service": service,
            "username": username,
        }
        try:
            items = Secret.password_search_sync(
                self.schema, attributes, Secret.SearchFlags.UNLOCK, None
            )
        except GLib.Error as error:
            quark = GLib.quark_try_string('g-io-error-quark')
            if error.matches(quark, Gio.IOErrorEnum.FAILED):
>               raise KeyringLocked('Failed to unlock the item!') from error
E               keyring.errors.KeyringLocked: Failed to unlock the item!

keyring/backends/libsecret.py:116: KeyringLocked
---------------------------- Captured stdout setup -----------------------------
Testing LibSecretKeyring; the following password prompts are for this keyring
________________ TestLibSecretKeyring.test_delete_one_in_group _________________

self = <keyring.backends.libsecret.Keyring object at 0xf52a3ee0>
service = '\x0b>"}\' \t;"}\r\'\n_\r.(\x0c+]'
username = '<@!(=\\=\n\r~\')"&\t$*]:\t', password = '=\n`^+{<?}\x0c_:_+?%!%\\)'

    def set_password(self, service, username, password):
        """Set password for the username of the service"""
        attributes = {
            "application": self.appid,
            "service": service,
            "username": username,
        }
        label = "Password for '{}' on '{}'".format(username, service)
        try:
>           stored = Secret.password_store_sync(
                self.schema, attributes, self.collection, label, password, None
            )
E           gi.repository.GLib.GError: g-io-error-quark: Cannot autolaunch D-Bus without X11 $DISPLAY (0)

keyring/backends/libsecret.py:88: Error

The above exception was the direct cause of the following exception:

self = <test_libsecret.TestLibSecretKeyring object at 0xf6d88b80>

    def test_delete_one_in_group(self):
        username1 = random_string(20, self.DIFFICULT_CHARS)
        username2 = random_string(20, self.DIFFICULT_CHARS)
        password = random_string(20, self.DIFFICULT_CHARS)
        service = random_string(20, self.DIFFICULT_CHARS)
>       self.keyring.set_password(service, username1, password)

keyring/testing/backend.py:99: 
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 

self = <keyring.backends.libsecret.Keyring object at 0xf52a3ee0>
service = '\x0b>"}\' \t;"}\r\'\n_\r.(\x0c+]'
username = '<@!(=\\=\n\r~\')"&\t$*]:\t', password = '=\n`^+{<?}\x0c_:_+?%!%\\)'

    def set_password(self, service, username, password):
        """Set password for the username of the service"""
        attributes = {
            "application": self.appid,
            "service": service,
            "username": username,
        }
        label = "Password for '{}' on '{}'".format(username, service)
        try:
            stored = Secret.password_store_sync(
                self.schema, attributes, self.collection, label, password, None
            )
        except GLib.Error as error:
            quark = GLib.quark_try_string('secret-error')
            if error.matches(quark, Secret.Error.IS_LOCKED):
                raise KeyringLocked("Failed to unlock the collection!") from error
            quark = GLib.quark_try_string('g-io-error-quark')
            if error.matches(quark, Gio.IOErrorEnum.FAILED):
>               raise KeyringLocked("Failed to unlock the collection!") from error
E               keyring.errors.KeyringLocked: Failed to unlock the collection!

keyring/backends/libsecret.py:97: KeyringLocked
---------------------------- Captured stdout setup -----------------------------
Testing LibSecretKeyring; the following password prompts are for this keyring
___________________ TestLibSecretKeyring.test_unicode_chars ____________________

self = <keyring.backends.libsecret.Keyring object at 0xf52a3ac0>
service = 'ίуρתחсаעצטμехееעтнтό', username = 'άтехпשтиζםЖגщйоנтиаד'

    def get_password(self, service, username):
        """Get password of the username for the service"""
        attributes = {
            "application": self.appid,
            "service": service,
            "username": username,
        }
        try:
>           items = Secret.password_search_sync(
                self.schema, attributes, Secret.SearchFlags.UNLOCK, None
            )
E           gi.repository.GLib.GError: g-io-error-quark: Cannot autolaunch D-Bus without X11 $DISPLAY (0)

keyring/backends/libsecret.py:62: Error

The above exception was the direct cause of the following exception:

self = <test_libsecret.TestLibSecretKeyring object at 0xf52a3df0>

    def test_unicode_chars(self):
        password = random_string(20, UNICODE_CHARS)
        username = random_string(20, UNICODE_CHARS)
        service = random_string(20, UNICODE_CHARS)
>       self.check_set_get(service, username, password)

keyring/testing/backend.py:111: 
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
keyring/testing/backend.py:58: in check_set_get
    assert keyring.get_password(service, username) is None
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 

self = <keyring.backends.libsecret.Keyring object at 0xf52a3ac0>
service = 'ίуρתחсаעצטμехееעтнтό', username = 'άтехпשтиζםЖגщйоנтиаד'

    def get_password(self, service, username):
        """Get password of the username for the service"""
        attributes = {
            "application": self.appid,
            "service": service,
            "username": username,
        }
        try:
            items = Secret.password_search_sync(
                self.schema, attributes, Secret.SearchFlags.UNLOCK, None
            )
        except GLib.Error as error:
            quark = GLib.quark_try_string('g-io-error-quark')
            if error.matches(quark, Gio.IOErrorEnum.FAILED):
>               raise KeyringLocked('Failed to unlock the item!') from error
E               keyring.errors.KeyringLocked: Failed to unlock the item!

keyring/backends/libsecret.py:68: KeyringLocked
---------------------------- Captured stdout setup -----------------------------
Testing LibSecretKeyring; the following password prompts are for this keyring
______________ TestLibSecretKeyring.test_unicode_and_ascii_chars _______________

self = <keyring.backends.libsecret.Keyring object at 0xf66965e0>
service = 'K[т\\н^K^6@тнM\\σяк6яσ', username = '--6-хKхнуу[хаM-7W-h-'

    def get_password(self, service, username):
        """Get password of the username for the service"""
        attributes = {
            "application": self.appid,
            "service": service,
            "username": username,
        }
        try:
>           items = Secret.password_search_sync(
                self.schema, attributes, Secret.SearchFlags.UNLOCK, None
            )
E           gi.repository.GLib.GError: g-io-error-quark: Cannot autolaunch D-Bus without X11 $DISPLAY (0)

keyring/backends/libsecret.py:62: Error

The above exception was the direct cause of the following exception:

self = <test_libsecret.TestLibSecretKeyring object at 0xf6696c70>

    def test_unicode_and_ascii_chars(self):
        source = (
            random_string(10, UNICODE_CHARS)
            + random_string(10)
            + random_string(10, self.DIFFICULT_CHARS)
        )
        password = random_string(20, source)
        username = random_string(20, source)
        service = random_string(20, source)
>       self.check_set_get(service, username, password)

keyring/testing/backend.py:122: 
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
keyring/testing/backend.py:58: in check_set_get
    assert keyring.get_password(service, username) is None
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 

self = <keyring.backends.libsecret.Keyring object at 0xf66965e0>
service = 'K[т\\н^K^6@тнM\\σяк6яσ', username = '--6-хKхнуу[хаM-7W-h-'

    def get_password(self, service, username):
        """Get password of the username for the service"""
        attributes = {
            "application": self.appid,
            "service": service,
            "username": username,
        }
        try:
            items = Secret.password_search_sync(
                self.schema, attributes, Secret.SearchFlags.UNLOCK, None
            )
        except GLib.Error as error:
            quark = GLib.quark_try_string('g-io-error-quark')
            if error.matches(quark, Gio.IOErrorEnum.FAILED):
>               raise KeyringLocked('Failed to unlock the item!') from error
E               keyring.errors.KeyringLocked: Failed to unlock the item!

keyring/backends/libsecret.py:68: KeyringLocked
---------------------------- Captured stdout setup -----------------------------
Testing LibSecretKeyring; the following password prompts are for this keyring
___________________ TestLibSecretKeyring.test_different_user ___________________

self = <keyring.backends.libsecret.Keyring object at 0xf52a30b8>
service = 'service1', username = 'user1', password = 'password1'

    def set_password(self, service, username, password):
        """Set password for the username of the service"""
        attributes = {
            "application": self.appid,
            "service": service,
            "username": username,
        }
        label = "Password for '{}' on '{}'".format(username, service)
        try:
>           stored = Secret.password_store_sync(
                self.schema, attributes, self.collection, label, password, None
            )
E           gi.repository.GLib.GError: g-io-error-quark: Cannot autolaunch D-Bus without X11 $DISPLAY (0)

keyring/backends/libsecret.py:88: Error

The above exception was the direct cause of the following exception:

self = <test_libsecret.TestLibSecretKeyring object at 0xf52a3f28>

    def test_different_user(self):
        """
        Issue #47 reports that WinVault isn't storing passwords for
        multiple users. This test exercises that test for each of the
        backends.
        """
    
        keyring = self.keyring
>       self.set_password('service1', 'user1', 'password1')

keyring/testing/backend.py:132: 
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
keyring/testing/backend.py:51: in set_password
    self.keyring.set_password(service, username, password)
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 

self = <keyring.backends.libsecret.Keyring object at 0xf52a30b8>
service = 'service1', username = 'user1', password = 'password1'

    def set_password(self, service, username, password):
        """Set password for the username of the service"""
        attributes = {
            "application": self.appid,
            "service": service,
            "username": username,
        }
        label = "Password for '{}' on '{}'".format(username, service)
        try:
            stored = Secret.password_store_sync(
                self.schema, attributes, self.collection, label, password, None
            )
        except GLib.Error as error:
            quark = GLib.quark_try_string('secret-error')
            if error.matches(quark, Secret.Error.IS_LOCKED):
                raise KeyringLocked("Failed to unlock the collection!") from error
            quark = GLib.quark_try_string('g-io-error-quark')
            if error.matches(quark, Gio.IOErrorEnum.FAILED):
>               raise KeyringLocked("Failed to unlock the collection!") from error
E               keyring.errors.KeyringLocked: Failed to unlock the collection!

keyring/backends/libsecret.py:97: KeyringLocked
---------------------------- Captured stdout setup -----------------------------
Testing LibSecretKeyring; the following password prompts are for this keyring
_____________________ TestLibSecretKeyring.test_credential _____________________

self = <keyring.backends.libsecret.Keyring object at 0xf52ece68>
service = 'service', username = None

    def get_credential(self, service, username):
        """Get the first username and password for a service.
        Return a Credential instance
    
        The username can be omitted, but if there is one, it will use get_password
        and return a SimpleCredential containing  the username and password
        Otherwise, it will return the first username and password combo that it finds.
        """
        query = {"service": service}
        if username:
            query["username"] = username
        try:
>           items = Secret.password_search_sync(
                self.schema, query, Secret.SearchFlags.UNLOCK, None
            )
E           gi.repository.GLib.GError: g-io-error-quark: Cannot autolaunch D-Bus without X11 $DISPLAY (0)

keyring/backends/libsecret.py:143: Error

The above exception was the direct cause of the following exception:

self = <test_libsecret.TestLibSecretKeyring object at 0xf52ec088>

    def test_credential(self):
        keyring = self.keyring
    
>       cred = keyring.get_credential('service', None)

keyring/testing/backend.py:142: 
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 

self = <keyring.backends.libsecret.Keyring object at 0xf52ece68>
service = 'service', username = None

    def get_credential(self, service, username):
        """Get the first username and password for a service.
        Return a Credential instance
    
        The username can be omitted, but if there is one, it will use get_password
        and return a SimpleCredential containing  the username and password
        Otherwise, it will return the first username and password combo that it finds.
        """
        query = {"service": service}
        if username:
            query["username"] = username
        try:
            items = Secret.password_search_sync(
                self.schema, query, Secret.SearchFlags.UNLOCK, None
            )
        except GLib.Error as error:
            quark = GLib.quark_try_string('g-io-error-quark')
            if error.matches(quark, Gio.IOErrorEnum.FAILED):
>               raise KeyringLocked('Failed to unlock the item!') from error
E               keyring.errors.KeyringLocked: Failed to unlock the item!

keyring/backends/libsecret.py:149: KeyringLocked
---------------------------- Captured stdout setup -----------------------------
Testing LibSecretKeyring; the following password prompts are for this keyring
=========================== short test summary info ============================
FAILED tests/backends/test_libsecret.py::TestLibSecretKeyring::test_password_set_get
FAILED tests/backends/test_libsecret.py::TestLibSecretKeyring::test_difficult_chars
FAILED tests/backends/test_libsecret.py::TestLibSecretKeyring::test_delete_present
FAILED tests/backends/test_libsecret.py::TestLibSecretKeyring::test_delete_not_present
FAILED tests/backends/test_libsecret.py::TestLibSecretKeyring::test_delete_one_in_group
FAILED tests/backends/test_libsecret.py::TestLibSecretKeyring::test_unicode_chars
FAILED tests/backends/test_libsecret.py::TestLibSecretKeyring::test_unicode_and_ascii_chars
FAILED tests/backends/test_libsecret.py::TestLibSecretKeyring::test_different_user
FAILED tests/backends/test_libsecret.py::TestLibSecretKeyring::test_credential
============= 9 failed, 13 passed, 58 skipped, 2 xfailed in 1.02s ==============
error: Bad exit status from /tmp/B.t4lmdqm2/BUILD/tmp/rpm-tmp.3Lt8Am (%build)

RPM build warnings:
    Could not canonicalize hostname: nereid

RPM build errors:
    Bad exit status from /tmp/B.t4lmdqm2/BUILD/tmp/rpm-tmp.3Lt8Am (%build)
ended at: Thu Nov  3 18:12:54 2022, done in 0:00:06.012287
error: No files produced.
+ chmod -R u+rwX /tmp/B.t4lmdqm2/BUILD
+ rm -rf /tmp/B.t4lmdqm2/tmp /tmp/B.t4lmdqm2/BUILD
+ rm -rf /tmp/B.t4lmdqm2
Begin-PLD-Builder-Info
Build-Time: user:6.89s sys:1.54s real:8.65s (faults io:3 non-io:182087)

End-PLD-Builder-Info
[Back to list of logs] [View rpm -qa of builder]